Summary:	A system documentation reader from the GNOME project
Summary(pl.UTF-8):	Czytnik dokumentacji z projektu GNOME
Name:		yelp
Version:	3.14.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/yelp/3.14/%{name}-%{version}.tar.xz
# Source0-md5:	1e2c282183761904c507c7efa6be7037
URL:		http://projects.gnome.org/yelp/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.20.0
BuildRequires:	gtk+3-devel >= 3.13.3
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	gtk-webkit3-devel >= 1.4.0
BuildRequires:	intltool >= 0.41.0
BuildRequires:	itstool >= 1.2.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libxslt-devel >= 1.1.22
BuildRequires:	lzma-devel >= 4.9
BuildRequires:	pkgconfig >= 1:0.15.0
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-xsl >= 3.12.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.28.0
Requires:	%{name}-libs = %{version}-%{release}
Requires:	docbook-dtd412-xml
Requires:	docbook-dtd42-xml
Requires:	docbook-dtd43-xml
Requires:	docbook-dtd44-xml
Requires:	docbook-style-xsl >= 1.55.0
Requires:	gnome-doc-utils >= 0.20.0
Requires:	gnome-icon-theme-symbolic
Requires:	yelp-xsl >= 3.12.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yelp is the default help browser for the GNOME desktop. Yelp provides
a simple graphical interface for viewing DocBook, HTML, man, and info
formatted documentation.

%description -l pl.UTF-8
Yelp jest domyślną przeglądarką pomocy dla biurka GNOME. Dostarcza
prosty graficzny interfejs do oglądania dokumentacji w formatach
DocBook, HTML, man i info.

%package libs
Summary:	yelp library
Summary(pl.UTF-8):	Biblioteka yelp
Group:		Libraries

%description libs
yelp library.

%description libs -l pl.UTF-8
Biblioteka yelp.

%package devel
Summary:	Header files for yelp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki yelp
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28.0
Requires:	gtk+3-devel >= 3.13.3
Requires:	gtk-webkit3-devel >= 1.4.0
Requires:	libxml2-devel >= 1:2.6.31
Requires:	libxslt-devel >= 1.1.22

%description devel
Header files for yelp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki yelp.

%package apidocs
Summary:	yelp library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki yelp
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
yelp library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki yelp.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-schemas-compile \
	--disable-static \
	--disable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog NEWS TODO AUTHORS
%attr(755,root,root) %{_bindir}/gnome-help
%attr(755,root,root) %{_bindir}/yelp
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/yelp
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml
%{_desktopdir}/yelp.desktop

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libyelp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyelp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libyelp.so
%{_includedir}/libyelp

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libyelp
%changelog
* Sat Nov 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yelp.git;a=log;h=master

* Sat Nov 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4e91f5b
- Update to 3.14.1

* Mon Sep 29 2014 Łukasz Kieś <kiesiu@pld-linux.org> 593c90d
- updated to 3.14.0

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 151b94e
- noarch apidocs

* Wed Mar 26 2014 Łukasz Kieś <kiesiu@pld-linux.org> c66a61d
- updated to 3.12.0

* Tue Mar 04 2014 Łukasz Kieś <kiesiu@pld-linux.org> 117fcb6
- updated to 3.10.2

* Sat Oct 19 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c5a3bde
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> bc136bf
- Update to 3.10.0

* Fri May 24 2013 Łukasz Kieś <kiesiu@pld-linux.org> e8455f6
- updated to 3.8.1

* Tue Mar 26 2013 Łukasz Kieś <kiesiu@pld-linux.org> 488a58d
- updated to 3.8.0

* Mon Nov 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7a21274
- Update to 3.6.2

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> a96b716
- updated to 3.6.1

* Tue Sep 25 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 7d3c212
- Updated to 3.6.0

* Sun May 20 2012 Marcin Banasiak <marcin.banasiak@gmail.com> e3e5df9
- updated to 3.4.2

* Thu Apr 19 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 2fda718
- updated to 3.4.1

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 3cf108e
- updated to 3.4.0; merged changes from DEVEL

* Wed Oct 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 140dddf
- updated to 3.2.1

* Thu Sep 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> d70f935
- updated to 3.2.0; merged changes from DEVEL

* Wed Jun 29 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 8e932e0
- updated to 3.0.4

* Tue May 24 2011 Marcin Banasiak <marcin.banasiak@gmail.com> a9ca96d
- updated to 3.0.3

* Tue Apr 26 2011 Marcin Banasiak <marcin.banasiak@gmail.com> f409e85
- updated to 3.0.2

